TLS 1.0 and TLS 1.1 Deprecation may lead to Blackboard connection failures

TLS 1.0 and TLS 1.1 Deprecation may lead to connection failures.  If you receive connection failures to Blackboard, please upgrade your browser to a supported version.

You may learn more about browser support here.

About This Entry

Published on Monday, January 14, 2019, at 9:27 am by ejlichten in the Learning Systems Announcements blog.

Need Help?

If you need immediate assistance, please contact the Help Desk at (804) 828-2227 or submit a ticket online. You can also submit feedback through our Feedback form above or leave a comment on specific blog entries.

Don't Get Phished

Don't be a phishing victim - VCU and other reputable organizations will never use email to request that you reply with your password, social security number or confidential personal information. Learn more about phishing »

Commenting has been disabled for this entry.